#!/bin/sh

EKIGA_PREFIX=/usr/local

# stolen from win32/Makefile, line 814 ff
#
# install icons not found in GTK Windows file
# some icons are found inside (e.g. document-open-recent), others are found
#   in ekiga code (e.g. phone-pick-up); the others must be installed manually
# I still do not understand why document-open-recent is found and avatar-default is not (both are used similarly in ekiga code)
for i in camera-web avatar-default input-dialpad user-away user-busy \
         user-available user-offline x-office-address-book gtk-clear \
         gtk-add gtk-remove computer network-server audio-input-microphone \
         back forward gtk-close mail-forward exit \
         face-smile face-angel face-cool face-crying face-embarrassed \
         face-devilish face-kiss face-monkey face-plain face-raspberry \
         face-sad face-smile face-smile-big face-smirk face-surprise \
         face-wink; do

         for j in `echo /usr/local/share/icons/gnome/*/*/${i}.png`; do
             [ $j != '/usr/local/share/icons/gnome/*/*/'$i.png ] || {
                echo ERROR: icon $i not found, exiting; exit 1
             }

             dir=`echo $j|cut -d/ -f6-7`
             mkdir -p $EKIGA_PREFIX/share/icons/hicolor/$dir
             cp $j $EKIGA_PREFIX/share/icons/hicolor/$dir
         done
done

cp /usr/local/share/icons/gnome/index.theme $EKIGA_PREFIX/share/icons/hicolor
